%define with_printer_applet 1
%{?_with_printer_applet: %{expand: %%global with_printer_applet 1}}

%define branch 0
%{?_branch: %{expand: %%global branch 1}}


%if %branch
%define kde_snapshot svn1053190
%endif

%define subrel 2

Name: kdeadmin4
Version: 4.4.5
Release: %mkrel 0
Epoch: 2
Summary: K Desktop Environment - Administrative Tools
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.kde.org
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeadmin-%version%kde_snapshot.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeadmin-%version.tar.bz2
%endif
Patch0:   kdeadmin-4.0.84-fix-menu-entries.patch
License: GPL
Requires: pciutils
BuildRequires: X11-devel 
BuildRequires: freetype2-devel 
BuildRequires: bzip2-devel 
BuildRequires: jpeg-devel 
BuildRequires: lcms-devel 
BuildRequires: mng-devel
BuildRequires: png-devel 
BuildRequires: libz-devel
BuildRequires: pam-devel
BuildRequires: libxml2-utils
BuildRequires: kdelibs4-devel >= 2:4.2.98
BuildRequires: kdelibs4-experimental-devel >= 2:4.2.98
BuildRequires: kdepimlibs4-devel >= 4.2.98
BuildRequires: python-kde4
BuildRequires: python-qt4
BuildRequires: python-devel
BuildRequires: python-cups
%if %with_printer_applet
BuildRequires: system-config-printer-libs
%else
BuildConflicts: system-config-printer-libs
%endif
Obsoletes: ksysv
Suggests: kcron
Suggests: kuser
Suggests: knetworkconf 
Suggests: ksystemlog

%if %mdkversion >= 201000
Obsoletes:    kdeadmin < 2:3.5.10-2
Obsoletes:    kdeadmin-kpackage < 2:3.5.10-2
Obsoletes:    kdeadmin-ksysv < 2:3.5.10-2
%endif

%description
The kdeadmin package contains packages that usually only a system
administrator might need:
	- kcron
    		Editor for the cron command scheduler.
	- kuser
   		An user manager.

%files
%defattr(-,root,root)
%doc README

#------------------------------------------------------------------------	

%package -n kuser
Group: Graphical desktop/KDE
Summary:  Users and groups manager
Provides: kuser4
Conflicts: kdeadmin4 < 2:4.0.1
Obsoletes: kde4-kuser < 2:4.0.68
Provides: kde4-kuser = %epoch:%version
Requires: kdebase4-runtime >= 1:%version 

%description -n kuser
Kuser is a tool to create, remove and modify user accounts and groups.

%files -n kuser
%defattr(-,root,root)
%_kde_bindir/kuser
%_kde_datadir/applications/kde4/kuser.desktop
%_kde_datadir/apps/kuser
%_kde_datadir/config.kcfg/kuser.kcfg
%_kde_docdir/*/*/kuser
%_kde_iconsdir/*/*/*/kuser*

#------------------------------------------------------------------------	

%package -n kcron
Group:      Graphical desktop/KDE
Summary:    Graphical task scheduler
Provides:   kcron4
Conflicts:  kdeadmin4 < 2:4.0.1
Obsoletes: kde4-kcron < 2:4.0.68
Provides: kde4-kcron = %epoch:%version
Requires: kdebase4-runtime >= 1:%version

%description -n kcron
Kcron is a graphical frontend to the cron system, used to schedule regular 
tasks on a Unix system.

%files -n kcron
%defattr(-,root,root)
%_kde_datadir/kde4/services/kcm_cron.desktop
%_kde_libdir/kde4/kcm_cron.so
%_kde_docdir/*/*/kcron

#------------------------------------------------------------------------

%package -n ksystemlog
Group:      Graphical desktop/KDE
Summary:    System log viewer tool for KDE 4
Provides:   ksystemlog4
Requires: kdebase4-runtime >= 1:%version

%description -n ksystemlog
This program is developed for being used by beginner users,
which don't know how to find information about their Linux system,
and how the log files are in their computer.
But it is also designed for advanced users,
who want to quickly see problems occuring on their server.

KSystemLog has the following features :

- View all the main log of your system, by selecting them
 directly in a menu
 - Auto display new lines logged in bold
 - Tabbed view to allow displaying several logs at the same time
 - Saving in a file and copying to clipboard the selected log
   lines are also implemented (and email to your friends)
   - It can parse the following log files of your system :

   - X.org (or Xfree) logs
   - System logs (using the Syslog parser of KSystemLog)
   - Kernel logs
   - Daemons logs
   - Cron logs
   - Boot logs
   - Authentication logs
   - Cups logs
   - ACPID logs

%files -n ksystemlog
%defattr(-,root,root)
%_kde_bindir/ksystemlog
%_kde_appsdir/ksystemlog
%_kde_datadir/applications/kde4/ksystemlog.desktop
%_kde_docdir/*/*/ksystemlog

#------------------------------------------------------------------------	

%package -n knetworkconf
Group: Graphical desktop/KDE
Summary: KDE Control Center module to configure network
Provides: knetworkconf4
Conflicts: kdeadmin4 < 2:4.0.1
Obsoletes: kde4-knetworkconf < 2:4.0.68
Provides: kde4-knetworkconf = %epoch:%version
Requires: kdebase4-runtime >= 1:%version

%description -n knetworkconf
KNetworkConf is a KDE Control Center module to configure TCP/IP settings on a 
Linux machine.

%files -n knetworkconf
%defattr(-,root,root)
%_kde_datadir/kde4/services/kcm_knetworkconfmodule.desktop
%_kde_libdir/kde4/kcm_knetworkconfmodule.so
%_kde_appsdir/knetworkconf
%_kde_docdir/*/*/kcontrol/knetworkconf
%_kde_iconsdir/*/*/*/knetworkconf*
%_kde_iconsdir/*/*/*/networ*

#------------------------------------------------------------------------
%if %with_printer_applet
%package -n system-config-printer-kde
Summary: View current print jobs and configure new printers
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/printer-applet
Requires: %name-core = %version
Requires: python-kde4 >= 1:4.1.0
Requires: python-cups
Requires: python-qt4
Requires: python-dbus
Requires: printer-applet
Requires: kdebase4-runtime >= 1:%version

%description -n system-config-printer-kde
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors and shows when printers that have
been plugged in for the first time are being auto-configured by
hal-cups-utils.

%files -n system-config-printer-kde
%defattr(-,root,root)
%_kde_datadir/kde4/services/system-config-printer-kde.desktop
%_kde_appsdir/system-config-printer-kde
%endif
#------------------------------------------------------------------------

%prep
%if %branch
%setup -q -n kdeadmin-%version%kde_snapshot
%else
%setup -q -n kdeadmin-%version
%endif
%patch0 -p0

%build
%cmake_kde4 
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%clean
rm -fr %buildroot



%changelog
* Wed Apr 13 2011 Oden Eriksson <oeriksson@mandriva.com> 2:4.4.5-0.2mdv2010.2
- built for updates

* Tue Dec 14 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.5-0.1mdv2010.1
+ Revision: 621685
- Update to kde 4.4.5

* Tue May 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.3-1mdv2010.1
+ Revision: 542096
- Update to version 4.4.3
- Fix s-c-p-kde package name
- Remove rpm-devel buildrequires ( was needed for kde4-lilo )
  fix s-c-p-kde file list and requires

* Sun Mar 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.2-1mdv2010.1
+ Revision: 528309
- Update to version 4.4.2

* Thu Mar 11 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.1-1mdv2010.1
+ Revision: 517956
- kde4-lilo does not exist anymore
- Update to version 4.4.1

* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.4.0-1mdv2010.1
+ Revision: 502605
- Update to version 4.4.0

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.98-1mdv2010.1
+ Revision: 498938
- Update to version 4.3.98 aka "kde 4.4 RC3"
- Update to version 4.3.98 aka "kde 4.4 RC3"

* Mon Jan 25 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.95-1mdv2010.1
+ Revision: 495974
- Update to version 4.3.95 aka "kde 4.4 RC2"

* Sun Jan 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.90-1mdv2010.1
+ Revision: 488235
- kpackage is not anymore
- Update to kde 4.4 rc1

  + Funda Wang <fwang@mandriva.org>
    - revert last commit (wait for next beta)
    - kpackage is not there any more

* Mon Dec 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.85-1mdv2010.1
+ Revision: 480702
- Update to kde 4.4 beta2

* Fri Dec 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.80-1mdv2010.1
+ Revision: 473202
- Update to kde 4.4 beta1

* Thu Nov 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.77-1mdv2010.1
+ Revision: 470388
- Update to kde 4.3.77
  Add branch switch
- Update to kde 4.3.75

* Mon Nov 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.75-1mdv2010.1
+ Revision: 466600
- Update to kde 4.3.75

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.73-2mdv2010.1
+ Revision: 465256
- Rebuild against new Qt

* Sun Nov 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.73-1mdv2010.1
+ Revision: 463207
- Update to kde 4.3.73
  Remove merged patch

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.2-1mdv2010.0
+ Revision: 454668
- New upstream release 4.3.2.

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.1-1mdv2010.0
+ Revision: 423220
- New upstream release 4.3.1.

* Sat Aug 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.3.0-2mdv2010.0
+ Revision: 416469
- Obsolete kde3 packages

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.3.0-1mdv2010.0
+ Revision: 409442
- New upstream release 4.3.0.
- Update to KDE 4.3 RC3

* Sat Jul 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.96-1mdv2010.0
+ Revision: 394881
- Update to Rc2

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.95-1mdv2010.0
+ Revision: 389371
- Update to kde 4.3Rc1

* Thu Jun 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.90-1mdv2010.0
+ Revision: 382826
- Update to beta2

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 2:4.2.88-1mdv2010.0
+ Revision: 380797
- New version 4.2.88

* Fri May 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.87-1mdv2010.0
+ Revision: 378795
- Update to kde   4.2.87

* Fri May 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.85-1mdv2010.0
+ Revision: 373531
- Update to kde 4.2.85
- Really remove patch when not needed just not comment them

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 2:4.2.71-0.svn961800.1mdv2010.0
+ Revision: 372037
- disable pkgconfig

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to kde 4.2.71
    - Remove non existing files

* Sat May 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.70-0.svn954171.1mdv2010.0
+ Revision: 370552
- Fix file list
- Update to kde 4.2.70
  Remove old macros

  + Helio Chissini de Castro <helio@mandriva.com>
    - Add build conflicts for future reference builds

* Wed Apr 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.2-2mdv2009.1
+ Revision: 367586
- Do not package system-config-printer-kde

* Fri Mar 27 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.2-1mdv2009.1
+ Revision: 361729
- Update with 4.2.2 try#1 packages

* Mon Mar 02 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.2.1-1mdv2009.1
+ Revision: 347011
- KDE 4.2.1 try#1 upstream release

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.2.0-2mdv2009.1
+ Revision: 340860
- Rebuild against qt4.5

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 2:4.2.0-1mdv2009.1
+ Revision: 334736
- New version 4.2.0

* Wed Jan 07 2009 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.96-1mdv2009.1
+ Revision: 326829
- Update with Release Candidate 1 - 4.1.96

* Sat Dec 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.85-1mdv2009.1
+ Revision: 314016
- New version KDE 4.2 Beta2

* Thu Dec 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.82-1mdv2009.1
+ Revision: 313356
- Update to kde 4.1.82

* Sun Nov 30 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.81-1mdv2009.1
+ Revision: 308639
- Update to kde 4.1.81

* Wed Nov 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.80-1mdv2009.1
+ Revision: 304562
- Update with Beta 1 - 4.1.80

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add requires on kdebase4-runtime package

* Sat Nov 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.1.73-1mdv2009.1
+ Revision: 303391
- Fix BuildRequire
- Add some python Buildrequires (python-kde4 && python-qt4)
- Update to kde 4.1.73
  New package system-config-printer-kde

* Sat Oct 25 2008 Funda Wang <fwang@mandriva.org> 2:4.1.71-1mdv2009.1
+ Revision: 297029
- New version 4.1.71

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 2:4.1.70-1mdv2009.1
+ Revision: 296143
- New version 4.1.70
- disable kpackage-doc installiing when not building kpackage
- drop unwanted pkgconfig files as fedora does
- fix description
- bump smart as requirement, as it is hardcoded in kpackage

  + Helio Chissini de Castro <helio@mandriva.com>
    - KDE 4.1.2 arriving.
    - Upgrade to forthcoming 4.1.1 packages
    - kpackage removed as smart is almost obsoleted and Mandriva uses different approach to rpm

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add missing requires on ksystemlog

* Fri Jul 25 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.1.0-1mdv2009.0
+ Revision: 247591
- Update with Release Candidate 1 - 4.1.0

  + Funda Wang <fwang@mandriva.org>
    - suggests instead of requires. It can still use rpm to install packages
    - kpackage requires smart

* Sun Jul 13 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.98-1mdv2009.0
+ Revision: 234234
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.85-1mdv2009.0
+ Revision: 232410
- New version kde 4.0.85
- Do not show Kuser and KPackage on the menu (menu cleaning task)

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.84-1mdv2009.0
+ Revision: 229405
- Update with new snapshot tarballs 4.0.84

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.83-1mdv2009.0
+ Revision: 226120
- Update with new snapshot tarballs 4.0.83

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.82-1mdv2009.0
+ Revision: 218301
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.81-1mdv2009.0
+ Revision: 214721
- Update with new snapshot tarballs 4.0.81

  + Michael Scherer <misc@mandriva.org>
    - use the same logic as buildrequires to decide if kde4-lilo is compiled ( ie, fix the logic for sparc, or mips )
    - fix typo and missing description

* Sat May 24 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.80-2mdv2009.0
+ Revision: 210965
- Versionnate buildrequires

* Sat May 24 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.80-1mdv2009.0
+ Revision: 210779
- New upstream kde4 4.1 beta1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Own %%_kde_appsdir/ksystemlog

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 2:4.0.74-1mdv2009.0
+ Revision: 208073
- New version 4.0.74

* Tue May 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.73-1mdv2009.0
+ Revision: 206790
- Fix file list
- Update to kde 4.0.73

* Thu May 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.72-1mdv2009.0
+ Revision: 199816
- Update to kde 4.0.72
- New snapshot 4.0.70
- Fix epoch
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - New upstream kde4 4.1 alpha 1

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.3-1mdv2008.1
+ Revision: 191005
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.2-2mdv2008.1
+ Revision: 182258
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.2-1mdv2008.1
+ Revision: 177449
- New upstream bugfix release 4.0.2

* Wed Feb 20 2008 Thierry Vignaud <tv@mandriva.org> 2:4.0.1-2mdv2008.1
+ Revision: 173184
- fix no-buildroot-tag

* Mon Feb 11 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.1-1mdv2008.1
+ Revision: 165293
- Splitted packages
- Fixed file list and duplicates
- Update for 4.0.1

* Wed Jan 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:4.0.0-1mdv2008.1
+ Revision: 156943
- Update to kde 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.97.1-0.750650.1mdv2008.1
+ Revision: 137426
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.97.1-0.746368.1mdv2008.1
+ Revision: 117174
- New snapshot
- New snapshot
- New snapshot
- New version 3.91

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Wed May 09 2007 Laurent Montel <lmontel@mandriva.org> 2:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25718
- new snapshot

* Wed May 02 2007 Laurent Montel <lmontel@mandriva.org> 2:3.80.3-0.20070502.5mdv2008.0
+ Revision: 20526
- new snapshot
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.5mdv2007.1
+ Revision: 141315
- new snapshot
- Fix buildrequires
- new snapshot
- Fix spec file
- new snapshot
- 3.80.3

* Fri Feb 16 2007 Laurent Montel <lmontel@mandriva.com> 2:3.80.2-0.20070215.4mdv2007.1
+ Revision: 121693
- new snapshot
- Fix spec file
- new snapshot
- Fix description
- new snapshot
- Fix buildrequires
- update
- Fix buildrequires
- Import kdeadmin4

* Fri Nov 03 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-3mdv2007.0
- First package

